<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .aclass{
            color: red;
        }
        .bclass{
            color: gray;
        }
    </style>
</head>
<body>
    <div id="demo">
        <h1>class绑定</h1>
        <p :class="a">1110000</p>
        <h1 :class="{aclass:isA, bclass:isB}">1111</h1>

        <h1>style绑定</h1>
        <p :style="{color: isColor,fontSize: fontSize + 'px' }">2222</p>


        <button @click="updata01">更新</button>
    </div>


    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        new Vue({
            el: '#demo',
            data:{
                a: "aclass",
                isA: true,
                isB: false,
                isColor: 'blue',
                fontSize: 20
            },
            methods:{
                updata01(){
                    this.a = "bclass"
                    this.isA = false
                    this.isB = true
                    this.isColor = 'green'
                    this.fontSize = 50    
                }
            }
        })
    </script>
</body>
</html>